# Get Pocket

Retrieve a single Pocket for a given pocket_id.

Endpoint: GET /api/v2/pockets/{pocket_id}/
Version: Version: 5153994b
Security: HTTPBearer

## Path parameters:

  - `pocket_id` (string, required)

## Query parameters:

  - `omit[]` (any)

  - `valuation_type` (any)

## Header parameters:

  - `x-jiko-idempotency` (string, required)

  - `x-jiko-signature` (string, required)

## Response 200 fields (application/json):

  - `id` (string, required)
    ID of the pocket

  - `pocket_name` (string, required)
    Pocket name

  - `portfolio` (any)
    Total liquid cash and holdings
    - `securities` (array, required) — one of (discriminator: type):
      - FIXED_INCOME:
        - `quantity` (integer, required)
          Number of securities
        - `market_value` (object, required)
          The current market value of the securities
        - `market_value.value` (integer, required)
          USD values are always in cents.
        - `market_value.currency` (string, required)
        - `market_value.formatted` (string)
        - `cusip` (string, required)
          CUSIP number of security
        - `jiko_mark_price` (string, required)
          Current price of security
        - `description` (string, required)
          A description of the security
        - `type` (string, required)
        - `maturity_date` (string, required)
          Due date of the fixed income instrument
        - `yield_to_maturity` (string, required)
          Rate of return if the security is held to the maturity date
      - OTHER:
        - `quantity` (integer, required)
          Number of securities
        - `market_value` (object, required)
          The current market value of the securities
        - `market_value.value` (integer, required)
          USD values are always in cents.
        - `market_value.currency` (string, required)
        - `market_value.formatted` (string)
        - `cusip` (string, required)
          CUSIP number of security
        - `jiko_mark_price` (string, required)
          Current price of security
        - `description` (string, required)
          A description of the security
        - `type` (string, required)
    - `cash` (object, required)
      Cash currently held in the brokerage account.
    - `cash.value` (integer, required)
      USD values are always in cents.
    - `cash.currency` (string, required)
    - `cash.formatted` (string)
    - `all_time_earnings` (any)
      All time portfolio earnings. Use of this field is discouraged, as it will be removed in a future release. Please use the [Get Earnings](/reference/v2#tag/Pockets/operation/get-earnings-v2) endpoint instead.
    - `total_value` (object, required)
      Total value, in USD cents
    - `fees` (array, required)
      Any outstanding fees
      - `amount` (object, required)
      - `type` (string, required)
    - `liquidation_value_t0` (object, required)
      Available liquid amount at T+0
    - `liquidation_value_t1` (any)
      Available liquid amount at T+1
    - `pricing_timestamp` (any)
      Timestamp at which total_value was priced. Populated for pockets backed by accounts with the real_time_yield attribute when at least one underlying CUSIP holding has real-time pricing; null otherwise.
    - `appreciation_per_second` (any)
      Rate at which total_value accrues per second, in USD cents. Combined with pricing_timestamp, allows interpolating the displayed total value forward as total_value + appreciation_per_second × (now - pricing_timestamp). Populated for pockets backed by accounts with the real_time_yield attribute when at least one underlying CUSIP holding has real-time pricing; null otherwise.

  - `status` (string, required)
    Pocket status
    Enum: "PENDING", "OPEN", "FROZEN", "CLOSED"

  - `attributes` (array)

  - `deposit_strategy_id` (string, required)
    Pocket deposit trading strategy ID (Example: UST-4W)

  - `reinvestment_strategy_id` (any, required)
    Pocket reinvestment trading strategy ID (Example: UST-4W)

  - `type` (any)
    Pocket type

  - `customer_id` (string, required)
    The ID of the customer this pocket belongs to

  - `object_type` (string, required)

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)


